
//wx_mchId（字符串类型）:商家和微信合作的 id 号，审核通过后微信服务器会发送到商家邮箱，若不传或者传空则从 key.xml 中读取
//如：var wx_mchId = '1494907952';
var wx_mchId = '';
//wx_partnerKey（字符串类型）:商户 API 密钥，务必同在商户平台->账户设置->API安全里填写的密钥保持一致，此密钥是根据微信对商户密钥的规范自己生成的，若不传或者传空则从 key.xml 中读取
//如：var wx_partnerKey = 'd34a8ace5b9a4a9caac11cfd90f8f35e';
var wx_partnerKey = '';

//用于余额支付
var balance_pay_json_data;
/*
 * 充值
 *var json_data={
		act:act,
		method:'get',
		params:params,
		recharge_amount_id:'recharge_amount_id',
		pay_way_hover:pay_way_hover,
		html_id:'html_id',
		method_click:'method_click',
		win_name:'win_name',
		win_url:'win_url'
  }
 *act（字符串类型）:请求地址
 * method（字符串类型）：请求方式
 * params(object类型):请求参数
 * recharge_amount_id:（字符串类型）:充值金额输入框ID
 * pay_way_hover（字符串类型）:选中的支付类型
 * html_id（字符串类型）：发生事件的按钮id
 * method_click（字符串类型）：发生事件的方法名
 * win_name（字符串类型）：window名字
 * win_url（字符串类型）：页面地址
 */
function recharge(json_data){
	if(!json_data) return;
	var act = paramsValue(json_data,'act');
	if(!act) return;
	var method = json_data.method||'get';
	var params = paramsValue(json_data,'params');
	if(!params) return;

	//支付类型
	var pay_way_hover = paramsValue(json_data,'pay_way_hover');
	if(!pay_way_hover) return;

	//充值金额
	var recharge_amount_id = paramsValue(json_data,'recharge_amount_id');
	var recharge_amount = $("#"+recharge_amount_id).val();
	if(!regEx2.test( recharge_amount )){
 		toast('请输入正确的数值');
 		return;
 	}
 	//如果生成过订单
	if($("#pay_order_id").text()){
		//支付宝支付
		if(pay_way==1){
			alipay(json_data);
		}
		//微信支付
		if(pay_way==2){
			WeChat_pay(json_data);
		}
		return;
	}
	//发生事件的按钮id
	var html_id = paramsValue(json_data,'html_id');
	if(!html_id) return;
	//发生事件的方法名
	var method_click = paramsValue(json_data,'method_click');
	if(!method_click) return;
	$("#"+html_id).removeAttr("onclick");

 	ajax(act, method, params, function(ret,err) {
//  	console.log("创建充值订单"+$api.jsonToStr(ret));
    	if(ret){
	    	if(ret.code=='1'){
    			//订单号
    			var pay_order_id = ret.pay_order_id;
    			$("#pay_order_id").text(pay_order_id);
	    		//支付宝支付
	    		if(pay_way==1){
	    			ali_pay(json_data);
	    		}
	    		//微信支付
	    		if(pay_way==2){
	    			WeChat_pay(json_data);
	    		}
	    	}else{
	    		toast(ret.msg);
	    		$("#"+html_id).attr("onclick",method_click);
	    	}
    	}else{
    		toast(err.msg);
    		$("#"+html_id).attr("onclick",method_click);
    	}
    });
}
/*
 * 直接支付
 *var json_data={
		act:act,
		method:'get',
		params:params,
		pay_way_hover:pay_way_hover,
		html_id:'html_id',
		method_click:'method_click',
		close_toWin:'close_toWin',
		win_name:'win_name',
		win_url:'win_url'
  }
 *act（字符串类型）:请求地址
 * method（字符串类型）：请求方式
 * params(object类型):请求参数
 * store_id（字符串类型）:店铺id
 * product_id（字符串类型）:商品id
 * product_num_id（字符串类型）：商品数量（input输入框id）
 * buy_order_address（字符串类型）：地址id
 * type（字符串类型） ：不传则不需要商品规格，传入该参数为需要商品规格
 * product_sku:商品规格(有传 type 时则必传product_sku)
 * pay_way_hover（字符串类型）:选中的支付类型
 * html_id（字符串类型）：发生事件的按钮id
 * method_click（字符串类型）：发生事件的方法名
 * close_toWin（字符串类型）:不传则为跳转页面，传入该参数为关闭页面
 * win_name（字符串类型）：window名字
 * win_url（字符串类型）：页面地址
 */
function direct_pay(json_data){
	if(!json_data) return;
	var act = paramsValue(json_data,'act');
	if(!act) return;
	var method = json_data.method||'get';

	var params = paramsValue(json_data,'params');
	if(!params){
		//店铺id
		var store_id = paramsValue(json_data,'store_id');
		if(!store_id) return;
		//商品id
		var product_id = paramsValue(json_data,'product_id');
		if(!product_id) return;
		//商品数量
		var product_num_id = paramsValue(json_data,'product_num_id');
		if(!product_num_id) return;
		var product_num = $("#"+product_num_id).val();
		if(product_num == ''||product_num == undefined||product_num == NaN){
			toast('请输入正确的数量!');
			return;
		}
		//地址
		var buy_order_address = paramsValue(json_data,'buy_order_address');
		if(!buy_order_address){
			toast('请选择地址');
			return;
		};
		var address_id = $("#"+buy_order_address).attr('tid');
		//规格
		if(json_data.type){
			var product_sku = paramsValue(json_data,'product_sku');
			if(!product_sku){
				toast('请选择商品规格');
				return;
			}
		}
	};

	//支付类型
	var pay_way_hover = paramsValue(json_data,'pay_way_hover');
	if(!pay_way_hover){
		toast('请选择支付类型');
		return;
	};
 	//如果生成过订单
	if($("#pay_order_id").text()){
		//支付宝支付
		if(pay_way_hover==1){
			ali_pay(json_data);
		}
		//微信支付
		if(pay_way_hover==2){
			WeChat_pay(json_data);
		}
		//余额支付
		if(pay_way_hover==3){
			balance_pay_json_data = json_data;
			$(".hide_div").show();
			$("#pay_pwd_html").show();
			$("#pay_pwd").focus();
		}
		return;
	}

	//发生事件的按钮id
	var html_id = paramsValue(json_data,'html_id');
	if(!html_id) return;
	//发生事件的方法名
	var method_click = paramsValue(json_data,'method_click');
	if(!method_click) return;
	$("#"+html_id).removeAttr("onclick");

 	ajax(act, method, params, function(ret,err) {
//  	console.log("直接支付"+$api.jsonToStr(ret));
    	if(ret){
	    	if(ret.code=='1'){
    			//订单号
    			var pay_order_id = ret.pay_order_id;
    			$("#pay_order_id").text(pay_order_id);
	    		//支付宝支付
	    		if(pay_way_hover==1){
	    			ali_pay(json_data);
	    		}
	    		//微信支付
	    		if(pay_way_hover==2){
	    			WeChat_pay(json_data);
	    		}
	    		//余额支付
	    		if(pay_way_hover==3){
					balance_pay_json_data = json_data;
	    			$(".hide_div").show();
					$("#pay_pwd_html").show();
					$("#pay_pwd").focus();
	    		}
	    	}else{
	    		toast(ret.msg);
	    		$("#"+html_id).attr("onclick",method_click);
	    	}
    	}else{
    		toast(err.msg);
    		$("#"+html_id).attr("onclick",method_click);
    	}
    });
}
/*
 * 购物车支付
 *var json_data={
		act:act,
		method:'get',
		params:params,
		pay_way_hover:pay_way_hover,
		html_id:'html_id',
		method_click:'method_click',
		close_toWin:'close_toWin',
		win_name:'win_name',
		win_url:'win_url'
  }
 *act（字符串类型）:请求地址
 * method（字符串类型）：请求方式
 * params(object类型):请求参数
 * buy_order_address（字符串类型）：地址id
 * pay_way_hover（字符串类型）:选中的支付类型
 * html_id（字符串类型）：发生事件的按钮id
 * method_click（字符串类型）：发生事件的方法名
 * close_toWin（字符串类型）:不传则为跳转页面，传入该参数为关闭页面
 * win_name（字符串类型）：window名字
 * win_url（字符串类型）：页面地址
 */
function cart_pay(json_data){
	if(!json_data) return;
	var act = paramsValue(json_data,'act');
	if(!act) return;
	var method = json_data.method||'get';
	var params = paramsValue(json_data,'params');
	if(!params){
		//地址
		var buy_order_address = paramsValue(json_data,'buy_order_address');
		var address_id = $("#"+buy_order_address).attr('tid');
		if(!address_id){
			toast('请选择地址');
			return;
		}
	};

	//支付类型
	var pay_way_hover = paramsValue(json_data,'pay_way_hover');
	if(!pay_way_hover) return;
 	//如果生成过订单
	if($("#pay_order_id").text()){
		//支付宝支付
		if(pay_way_hover==1){
			ali_pay(json_data);
		}
		//微信支付
		if(pay_way_hover==2){
			WeChat_pay(json_data);
		}
		//余额支付
		if(pay_way_hover==3){
			balance_pay_json_data = json_data;
			$(".hide_div").show();
			$("#pay_pwd_html").show();
			$("#pay_pwd").focus();
		}
		return;
	}
	//发生事件的按钮id
	var html_id = paramsValue(json_data,'html_id');
	if(!html_id) return;
	//发生事件的方法名
	var method_click = paramsValue(json_data,'method_click');
	if(!method_click) return;
	$("#"+html_id).removeAttr("onclick");

 	ajax(act, method, params, function(ret,err) {
//  	console.log("购物车支付"+$api.jsonToStr(ret));
    	if(ret){
	    	if(ret.code=='1'){
    			//订单号
    			var pay_order_id = ret.pay_order_id;
    			$("#pay_order_id").text(pay_order_id);
	    		//支付宝支付
	    		if(pay_way_hover==1){
	    			ali_pay(json_data);
	    		}
	    		//微信支付
	    		if(pay_way_hover==2){
	    			WeChat_pay(json_data);
	    		}
	    		//余额支付
	    		if(pay_way_hover==3){
					balance_pay_json_data = json_data;
	    			$(".hide_div").show();
					$("#pay_pwd_html").show();
					$("#pay_pwd").focus();
	    		}
	    	}else{
	    		toast(ret.msg);
	    		$("#"+html_id).attr("onclick",method_click);
	    	}
    	}else{
    		toast(err.msg);
    		$("#"+html_id).attr("onclick",method_click);
    	}
    });
}
/*
 * 订单支付
 *var json_data={
		act:act,
		method:'get',
		params:params,
		pay_way_hover:pay_way_hover,
		html_id:'html_id',
		method_click:'method_click',
		close_toWin:'close_toWin',
		win_name:'win_name',
		win_url:'win_url'
  }
 *act（字符串类型）:请求地址
 * method（字符串类型）：请求方式
 * params(object类型):请求参数
 * order_id（字符串类型）：订单ID
 * pay_way_hover（字符串类型）:选中的支付类型
 * html_id（字符串类型）：发生事件的按钮id
 * method_click（字符串类型）：发生事件的方法名
 * close_toWin（字符串类型）:不传则为跳转页面，传入该参数为关闭页面
 * win_name（字符串类型）：window名字
 * win_url（字符串类型）：页面地址
 */
function order_pay(json_data){
	if(!json_data) return;
	var act = paramsValue(json_data,'act');
	if(!act) return;
	var method = json_data.method||'get';
	var params = paramsValue(json_data,'params');
	if(!params){
		//订单id
		var order_id = paramsValue(json_data,'order_id');
		if(!order_id){
			toast("缺少订单id");
			return;
		}
	};

	//支付类型
	var pay_way_hover = paramsValue(json_data,'pay_way_hover');
	if(!pay_way_hover) return;

 	//如果生成过订单
	if($("#pay_order_id").text()){
		//支付宝支付
		if(pay_way_hover==1){
			ali_pay(json_data);
		}
		//微信支付
		if(pay_way_hover==2){
			WeChat_pay(json_data);
		}
		//余额支付
		if(pay_way_hover==3){
			balance_pay_json_data = json_data;
			$(".hide_div").show();
			$("#pay_pwd_html").show();
			$("#pay_pwd").focus();
		}
		return;
	}
	//发生事件的按钮id
	var html_id = paramsValue(json_data,'html_id');
	if(!html_id) return;
	//发生事件的方法名
	var method_click = paramsValue(json_data,'method_click');
	if(!method_click) return;
	$("#"+html_id).removeAttr("onclick");

 	ajax(act, method, params, function(ret,err) {
//  	console.log("订单支付"+$api.jsonToStr(ret));
    	if(ret){
	    	if(ret.code=='1'){
    			//订单号
    			var pay_order_id = ret.pay_order_id;
    			$("#pay_order_id").text(pay_order_id);
	    		//支付宝支付
	    		if(pay_way_hover==1){
	    			ali_pay(json_data);
	    		}
	    		//微信支付
	    		if(pay_way_hover==2){
	    			WeChat_pay(json_data);
	    		}
	    		//余额支付
	    		if(pay_way_hover==3){
					balance_pay_json_data = json_data;
	    			$(".hide_div").show();
					$("#pay_pwd_html").show();
					$("#pay_pwd").focus();
	    		}
	    	}else{
	    		toast(ret.msg);
	    		$("#"+html_id).attr("onclick",method_click);
	    	}
    	}else{
    		toast(err.msg);
    		$("#"+html_id).attr("onclick",method_click);
    	}
    });
}
//支付宝支付
function ali_pay(json_data){
	var aliPay = api.require('aliPay');
	var user_id = localStorage.getItem("user_id");
	if(!user_id) return;
	var close_toWin = json_data.close_toWin;
	var win_name = json_data.win_name;
	var win_url = json_data.win_url;
	//发生事件的按钮id
	var html_id = paramsValue(json_data,'html_id');
	if(!html_id) return;
	//发生事件的方法名
	var method_click = paramsValue(json_data,'method_click');
	if(!method_click) return;

	var pay_order_id = $("#pay_order_id").text();
	if(!pay_order_id){
		toast("缺少订单号或页面中缺少id为pay_order_id的元素");
		return;
	}
	//参数
	var act='/appAlipay/alipay';
    var params = {};
	var fkey = UTIL.getFkey("user_id,pay_order_id");
	params={
		user_id:user_id,
		pay_order_id:pay_order_id,
		fkey:fkey
	}
	ajax(act, 'get', params, function(ret,err) {
//		console.log("支付宝支付"+$api.jsonToStr(ret));
    	if(ret) {
    		if(ret.code=='1'){
    			var payOrder = ret.payOrder;
    			aliPay.payOrder({
				    orderInfo: payOrder
				}, function(ret, err) {
				    if(ret.code==9000){
				    	toast('支付成功');
				    	sendEvent('pay_success');
		    			setTimeout(function(){
		    				if(close_toWin){
		    					if(win_name){
			    					closeToWin(win_name);
		    					}else{
		    						closeToWin('root');
		    					}
		    				}else{
			                    if(win_name){
									openWin(win_name,win_url,'false');
			                    }else{
		    	                	closeWin();
		        	            }
		    				}
						},1000);
						$("#"+html_id).attr("onclick",method_click);
				    }else if(ret.code==4000){
				    	toast('系统异常');
				    	$("#"+html_id).attr("onclick",method_click);
				    }else if(ret.code==4001){
				    	toast('数据格式不正确');
				    	$("#"+html_id).attr("onclick",method_click);
				    }else if(ret.code==4003){
				    	toast('该用户绑定的支付宝账户被冻结或不允许支付');
				    	$("#"+html_id).attr("onclick",method_click);
				    }else if(ret.code==4004){
				    	toast('该用户已解除绑定');
				    	$("#"+html_id).attr("onclick",method_click);
				    }else if(ret.code==4005){
				    	toast('绑定失败或没有绑定');
				    	$("#"+html_id).attr("onclick",method_click);
				    }else if(ret.code==4006){
				    	toast('订单支付失败');
				    	$("#"+html_id).attr("onclick",method_click);
				    }else if(ret.code==4010){
				    	toast('重新绑定账户');
				    	$("#"+html_id).attr("onclick",method_click);
				    }else if(ret.code==6000){
				    	toast('支付服务正在进行升级操作');
				    	$("#"+html_id).attr("onclick",method_click);
				    }else if(ret.code==6001){
				    	toast('用户中途取消支付操作');
				    	$("#"+html_id).attr("onclick",method_click);
				    }
				});
			}else{
				toast(ret.msg);
				$("#"+html_id).attr("onclick",method_click);
			}
    	}else{
    		toast(err.msg);
    		$("#"+html_id).attr("onclick",method_click);
    	}
    });
}
//微信支付
function WeChat_pay(json_data){
	if(!wx_mchId){
		toast('请填写商家和微信合作的ID号');
		return
	};
	if(!wx_partnerKey) {
		toast('请填写商户 API 密钥');
		return
	};
	var wxPay = api.require('wxPay');
	var user_id = localStorage.getItem("user_id");
	if(!user_id) return;
	var close_toWin = json_data.close_toWin;
	var win_name = json_data.win_name;
	var win_url = json_data.win_url;
	//发生事件的按钮id
	var html_id = paramsValue(json_data,'html_id');
	if(!html_id) return;
	//发生事件的方法名
	var method_click = paramsValue(json_data,'method_click');
	if(!method_click) return;

	var pay_order_id = $("#pay_order_id").text();
	if(!pay_order_id){
		toast("缺少订单号或页面中缺少id为pay_order_id的元素");
		return;
	}
	//参数
	var act='/appWxpay/wxpay';
    var params = {};
	var fkey = UTIL.getFkey("user_id,pay_order_id");
	params={
		user_id:user_id,
		pay_order_id:pay_order_id,
		fkey:fkey
	}
	ajax(act, 'get', params, function(ret,err) {
//		console.log("微信支付"+$api.jsonToStr(ret));
    	if(ret) {
    		if(ret.code=='1'){
				wxPay.config({
				apiKey: '',//从微信开放平台获取的 appid，若不传则从当前 widget 的 config.xml 中读取。
				mchId: wx_mchId,//商家和微信合作的 id 号，审核通过后微信服务器会发送到商家邮箱，若不传或者传空则从 key.xml 中读取
			    partnerKey: wx_partnerKey,//商户 API 密钥，务必同在商户平台->账户设置->API安全里填写的密钥保持一致，此密钥是根据微信对商户密钥的规范自己生成的，若不传或者传空则从 key.xml 中读取
			    notifyUrl: serviceUrl+ret.notifyUrl
				}, function(ret, err) {
				    if (ret.status) {
				        console.log('配置商户支付参数成功'+"--config");
				    } else {
				        console.log(err.code);
				        return;
				    }
				});
				wxPay.pay({
				    description: ret.body,
				    totalFee: ret.totalFee,
				    tradeNo: ret.tradeNo,
					feeType: 'CNY',
				}, function(ret, err) {
//			        console.log($api.jsonToStr(ret)+"xxxxxxxx"+$api.jsonToStr(err));
				    if (ret.status) {
				    	toast('支付成功');
				        sendEvent('pay_success');
	                    setTimeout(function(){
		    				if(close_toWin){
		    					if(win_name){
			    					closeToWin(win_name);
		    					}else{
		    						closeToWin('root');
		    					}
		    				}else{
			                    if(win_name){
									openWin(win_name,win_url,'false');
			                    }else{
		    	                	closeWin();
		        	            }
		    				}
						},1000);
						$("#"+html_id).attr("onclick",method_click);
				    } else{
				    	toast(ret.msg);
				    	$("#"+html_id).attr("onclick",method_click);
				    }
				});
			}else{
				toast(ret.msg);
				$("#"+html_id).attr("onclick",method_click);
			}
    	}else{
    		toast(err.msg);
    		$("#"+html_id).attr("onclick",method_click);
    	}
    });
}
//密码输入
function pay_pwd(){
	var pay_pwd = $("#pay_pwd").val();
	var length = (pay_pwd.length)-1;//input长度
	if(pay_pwd.length > $(".buy_order_yunbaoe .buy_order_yunbaoehover").length){
		$(".buy_order_yunbaoe span").eq(length).addClass("buy_order_yunbaoehover");
		if(pay_pwd.length >= 6){
			$("#pay_pwd").val($("#pay_pwd").val().slice(0,6));
			balance_pay();
		}
	}else{
		$(".buy_order_yunbaoe span").eq(pay_pwd.length).removeClass("buy_order_yunbaoehover");
		if(pay_pwd.length >= 6){
			$("#pay_pwd").val($("#pay_pwd").val().slice(0,6));
			balance_pay();
		}
	}
}
//余额支付
function balance_pay(){
	var json_data = balance_pay_json_data;
	if(!json_data) return;
	var user_id = localStorage.getItem("user_id");
	if(!user_id) return;
	var pay_order_id = $("#pay_order_id").text();
	if(!pay_order_id){
		toast("缺少订单号或页面中缺少id为pay_order_id的元素");
		return;
	}
	var pay_pwd = $("#pay_pwd").val();
	if(!pay_pwd){
		toast("请输入密码");
		return;
	}
	var close_toWin = json_data.close_toWin;
	var win_name = json_data.win_name;
	var win_url = json_data.win_url;
	//发生事件的按钮id
	var html_id = paramsValue(json_data,'html_id');
	if(!html_id) return;
	//发生事件的方法名
	var method_click = paramsValue(json_data,'method_click');
	if(!method_click) return;

	//参数
	var act='/appBalpay/balpay';
    var params = {};
	var fkey = UTIL.getFkey("user_id,pay_order_id,pay_pwd");
	params={
		user_id:user_id,
		pay_order_id:pay_order_id,
		pay_pwd:pay_pwd,
		fkey:fkey
	}
	ajax(act, 'get', params, function(ret,err) {
//  	console.log("余额支付"+$api.jsonToStr(ret));
    	if(ret){
    		toast(ret.msg);
    		if(ret.code=='1'){
    			$(".hide_div").hide();
				$("#pay_pwd_html").hide();
    			sendEvent('pay_success');
    			setTimeout(function(){
    				if(close_toWin){
    					if(win_name){
	    					closeToWin(win_name);
    					}else{
    						closeToWin('root');
    					}
    				}else{
	                    if(win_name){
							openWin(win_name,win_url,'false');
	                    }else{
    	                	closeWin();
        	            }
    				}
				},1000);
				$("#"+html_id).attr("onclick",method_click);
    		}else{
    			toast(ret.msg);
    			$(".hide_div").hide();
				$("#pay_pwd_html").hide();
				$("#"+html_id).attr("onclick",method_click);
    		}
    	}else{
    		toast(err.msg);
    		$(".hide_div").hide();
			$("#pay_pwd_html").hide();
			$("#"+html_id).attr("onclick",method_click);
    	}
    });
}
/*
 * 提现到支付宝
 *var json_data={
		act:act,
		method:'get',
		params:params,
		withdrawals_amount:withdrawals_amount,
		alipay_account:'alipay_account',
		html_id:'html_id',
		method_click:'method_click',
		win_name:'win_name',
		win_url:'win_url'
  }
 *act（字符串类型）:请求地址
 * method（字符串类型）：请求方式
 * params(object类型):请求参数
 * withdrawals_amount（number类型）: 提现金额
 * alipay_account（字符串类型）: 提现账号 input 输入框id
 * html_id（字符串类型）：发生事件的按钮id
 * method_click（字符串类型）：发生事件的方法名
 * win_name（字符串类型）：window名字
 * win_url（字符串类型）：页面地址
 */
function withdrawals(json_data){
	if(!json_data) return;
	var act = paramsValue(json_data,'act');
	if(!act) return;
	var method = json_data.method||'get';
	var params = paramsValue(json_data,'params');
	if(!params) return;

	var win_name = json_data.win_name;
	var win_url = json_data.win_url;
	//提现金额
	var withdrawals_amount_id = paramsValue(json_data,'withdrawals_amount_id');
	var withdrawals_amount = $("#"+withdrawals_amount_id).val();
	if(!regEx2.test( withdrawals_amount )){
 		toast('请输入正确的金额');
 		return;
 	}
 	if(Number(withdrawals_amount)<100){
 		toast('请输入大于100的金额');
 		return;
 	}
 	//支付宝账号
 	var alipay_account_id = paramsValue(json_data,'alipay_account_id');
 	var alipay_account = $("#"+alipay_account_id).val();
 	if(!alipay_account){
 		toast('请输入支付宝账号');
 		return;
 	}
	//发生事件的按钮id
	var html_id = paramsValue(json_data,'html_id');
	if(!html_id) return;
	//发生事件的方法名
	var method_click = paramsValue(json_data,'method_click');
	if(!method_click) return;
	$("#"+html_id).removeAttr("onclick");

	ajax(act, method, params, function(ret,err) {
//  	console.log("提现到支付宝"+$api.jsonToStr(ret));
    	if(ret){
	    	if(ret.code=='1'){
	    		toast(ret.msg);
	    		sendEvent('pay_success');
	    		setTimeout(function(){
	               	if(win_name){
						openWin(win_name,win_url,'false');
	                }else{
	                	closeWin();
		            }
				},1000);
	            $("#"+html_id).attr("onclick",method_click);
	    	}else{
	    		toast(ret.msg);
	    		$("#"+html_id).attr("onclick",method_click);
	    	}
    	}else{
    		toast(err.msg);
    		$("#"+html_id).attr("onclick",method_click);
    	}
    });
}
