/**
 * yejue util-float 浮点数的一些运算
 * lastUpdateTime:2017-12-1
 */
var UTIL_FLOAT = {};
/**
 * 浮点数的加法
 * @param {String} a 其中一个加数
 * @param {String} b 另一个加数
 * 调用eg:UTIL_FLOAT.add()
 */
UTIL_FLOAT.add=function (a, b) {
    var c, d, e;
    try {
        c = a.toString().split(".")[1].length;
    } catch (f) {
        c = 0;
    }
    try {
        d = b.toString().split(".")[1].length;
    } catch (f) {
        d = 0;
    }
    return e = Math.pow(10, Math.max(c, d)), (UTIL_FLOAT.mul(a, e) + UTIL_FLOAT.mul(b, e)) / e;
}
/**
 * 浮点数的减法
 * @param {String} a 被减数
 * @param {String} b 减数
 * 调用eg:UTIL_FLOAT.sub()
 */
UTIL_FLOAT.sub=function(a, b) {
    var c, d, e;
    try {
        c = a.toString().split(".")[1].length;
    } catch (f) {
        c = 0;
    }
    try {
        d = b.toString().split(".")[1].length;
    } catch (f) {
        d = 0;
    }
    return e = Math.pow(10, Math.max(c, d)), (UTIL_FLOAT.mul(a, e) - UTIL_FLOAT.mul(b, e)) / e;
}
/**
 * 浮点数的乘法
 * @param {String} a 乘数
 * @param {String} b 乘数
 * 调用eg:UTIL_FLOAT.mul()
 */
UTIL_FLOAT.mul=function (a, b) {
    var c = 0,
        d = a.toString(),
        e = b.toString();
    try {
        c += d.split(".")[1].length;
    } catch (f) {}
    try {
        c += e.split(".")[1].length;
    } catch (f) {}
    return Number(d.replace(".", "")) * Number(e.replace(".", "")) / Math.pow(10, c);
}
/**
 * 浮点数的除法
 * @param {String} a 被除数
 * @param {String} b 除数
 * 调用eg:UTIL_FLOAT.div()
 */
UTIL_FLOAT.div=function (a, b) {
    var c, d, e = 0,
        f = 0;
    try {
        e = a.toString().split(".")[1].length;
    } catch (g) {}
    try {
        f = b.toString().split(".")[1].length;
    } catch (g) {}
    return c = Number(a.toString().replace(".", "")), d = Number(b.toString().replace(".", "")), UTIL_FLOAT.mul(c / d, Math.pow(10, f - e));
}

