/**
 * yejue util
 * lastUpdateTime:2017-12-1
 */
var UTIL = {};

/**
 * 拼接未加密前的fkey参数
 * @param {String} a  参数  如'id,user_id'
 * @param {String} b  项目固定参数 如 'cheyw'
 * return 拼接的fkey 如 "id,cheyw,user_id,cheyw,20170822,cheyw,"
 */
UTIL.jointFkey = function(a, b) {
	var paraname = "";
	if (a.lastIndexOf (",") == a.length-1) {
			a=a.substring(0, a.length-1);
		}	
	for (var i in a.split(",")) {
		paraname += UTIL.trim(a.split(",")[i]) + "," + b + ",";
	}
	//获得北京时间，为了避免国外测试审核不通过（注意：服务器在中国）
	var dateArray = UTIL.getDateArray(null, true);
	paraname = paraname + dateArray[0] +dateArray[1] +dateArray[2] + "," + b + ",";
	return paraname;
}


/**
 * 获得fkey用于ajax验证（需要引入本js前引入jquery.js,jquery.md5.js,common.js 不然调用会报错）
 * @param {String} str  参数  如'id,user_id'
 * return 加密后的字符
 */
UTIL.getFkey = function (str) {
	return $.md5(UTIL.jointFkey(str, projectKey));
} 

/**
 * 去字符串前后空格
 * @param {String} str 
 * return 
 */
UTIL.trim = function (str){   
    return str.replace(/^(\s|\u00A0)+/,'').replace(/(\s|\u00A0)+$/,'');   
}




/**
 * 获取时间数组
 * @param {Number} timestampmillisecond 时间戳 （毫秒）不传为当前时间
 * @param {Boolean} isBeijingTime 时间戳 （毫秒） 是否转换为北京时区,不传或者false使用默认时区
 * return 数组   如["2017", "08", "22", "14", "18", "19"]
 */
UTIL.getDateArray = function(timestampmillisecond, isBeijingTime){
	var aArray = [];
	//获取时间
	var mydate=new Date();
	if(timestampmillisecond){
		mydate=new Date(timestampmillisecond);
		if(isBeijingTime){
			mydate=UTIL.getBJDate(timestampmillisecond);
		}
	}
	//年
	var year=''+mydate.getFullYear();
	//月
	if((mydate.getMonth()+1)>=1&&(mydate.getMonth()+1)<=9){
		var	Month='0'+(mydate.getMonth()+1);
	}else{
	 	var	Month=''+(mydate.getMonth()+1);
	}
	//日
	if(mydate.getDate()>=1&&mydate.getDate()<=9){
		var date='0'+mydate.getDate();
	}else{
	 	var date=''+mydate.getDate();
	}
	//时
	if(mydate.getHours()>=1&&mydate.getHours()<=9){
		var getHours='0'+mydate.getHours();
	}else{
	 	var getHours=''+mydate.getHours();
	}
	//分
	if(mydate.getMinutes()>=0&&mydate.getMinutes()<=9){
		var getMinutes='0'+mydate.getMinutes();
	}else{
	 	var getMinutes=''+mydate.getMinutes();
	}
	//秒
	if(mydate.getSeconds()>=0&&mydate.getSeconds()<=9){
		var getSeconds='0'+mydate.getSeconds();
	}else{
	 	var getSeconds=''+mydate.getSeconds();
	}
	aArray[0] = year;
	aArray[1] = Month;
	aArray[2] = date;
	aArray[3] = getHours;
	aArray[4] = getMinutes;
	aArray[5] = getSeconds;
	aArray[7] = year + "-" + Month + "-" + date;
	aArray[8] = year + "-" + Month + "-" + date + " " + getHours + ":" + getMinutes;
	aArray[9] = year + "-" + Month + "-" + date + " " + getHours + ":" + getMinutes +　":" +　getSeconds;
	
	return aArray;
};
//@Deprecated 将过期的方法
UTIL.getdate = UTIL.getDateArray;


/**
 * 分段处理方法
 * @param {String} content 需要分段的内容
 * return 分段后的html
 */
UTIL.fenduan = function(content) {
	var arr = content.split(/\n/g);
	var htmlCode = '';
	for(var t=0; t<arr.length; t++){
		htmlCode = htmlCode + '<p>' + arr[t] + '</p>';
	}
	return htmlCode;
};

/**
 * 获取缩略图
 * @param {String} content 需要获取缩略图的原地址
 * 调用UTIL.getTnUrl("/res/image/test.jpg")
 * return 缩略图地址
 */
UTIL.getTnUrl =function(url){
	if(!url) return url;
    return UTIL.fixUrl(url.substr(0,url.lastIndexOf("/")+1)+"tn_"+url.substr(url.lastIndexOf("/")+1));
}

/*
 * 将秒(毫秒)转换成天，时，分，秒
 * 默认秒
 * arguments表示传入的数组
 * date为 数据
 * type为传入类别（传入类别，不传表示type为秒，传表示type为豪秒）
 * returnType为需要返回的数据格式
 * returnType不传表示需要返回天时分秒
 * returnType传入表示需要返回时分秒
 */
UTIL.transformationDate=function(date,type,returnType){
	if(!date){
		return getnewsDate();
	}
	var returnType=returnType ? 2 : 1;//如果有returnType传入去returnType为“1”，否则returnType为“2”
	date=type ? date/1000: date;//如果有type传入date除以1000转换为秒
	
	var aArray=[];
    if(date>0){
    	if(returnType==1){
    		var d=Math.floor(date/60/60/24);
    		if(d<10&&d>=0) d='0'+d;
			aArray[0]=d//天
			
			var getHours=Math.floor(date/60/60%24);
    		if(getHours<10&&getHours>=0) getHours='0'+getHours;
	      	aArray[1]=getHours;//时
	      	
	      	var getMinutes=Math.floor(date/60%60);
    		if(getMinutes<10&&getMinutes>=0) getMinutes='0'+getMinutes;
	      	aArray[2]=getMinutes;//分
	      	
	      	var getSeconds=Math.floor(date%60);
    		if(getSeconds<10&&getSeconds>=0) getSeconds='0'+getSeconds;
	      	aArray[3]=getSeconds;//秒
      	}
      	if(returnType==2){
			var getHours=Math.floor(date/60/60);
    		if(getHours<10&&getHours>=0) getHours='0'+getHours;
	      	aArray[0]=getHours;//时
	      	
	      	var getMinutes=Math.floor(date/60%60);
    		if(getMinutes<10&&getMinutes>=0) getMinutes='0'+getMinutes;
	      	aArray[1]=getMinutes;//分
	      	
	      	var getSeconds=Math.floor(date%60);
    		if(getSeconds<10&&getSeconds>=0) getSeconds='0'+getSeconds;
	      	aArray[2]=getSeconds;//秒
      	}
	}
	return aArray
}
//@Deprecated 将过期的方法
UTIL.TransformationDate = UTIL.transformationDate;

/**
 * 获得北京时间
 * @param {Number} timestampmillisecond 时间戳 （毫秒）不传为当前时间
 * 调用eg:UTIL.getBJDate()
 * return 北京时间Date
 */
UTIL.getBJDate = function (timestampmillisecond) {
    //获得当前运行环境时间
    var d = new Date();
    var currentDate = new Date(); 
    if(timestampmillisecond){
		d=new Date(timestampmillisecond);
		currentDate = new Date(timestampmillisecond)
	}
    var tmpHours = currentDate.getHours();
    //算得时区
    var time_zone = -d.getTimezoneOffset() / 60;
    //少于0的是西区 西区应该用时区绝对值加京八区 重新设置时间（西区时间比东区时间早 所以加时区间隔）
    if (time_zone < 0) {
        time_zone = Math.abs(time_zone) + 8; currentDate.setHours(tmpHours + time_zone);
    } else {
        //大于0的是东区  东区时间直接跟京八区相减
        time_zone -= 8; currentDate.setHours(tmpHours - time_zone);
    }
    return currentDate;
}

/**
 * 拼接图片或者文件链接字段加服务器链接
 * @param {string} url
 * 调用eg:UTIL.fixUrl() 
 * return string
 */
UTIL.fixUrl = function (url){
	if(!url) return url;
	if(url.indexOf("http") < 0) url = serviceUrl + url;
	return url;
}


/**
 * 获取链接中的请求参数
 * @param url {string} 
 * 调用eg:UTIL.getUrlParam(url)
 * return json
 */
UTIL.getUrlParam = function (url) {   
	var urlParamJson = {};   
	if (url.indexOf("?") != -1) {   
		var str = url.split("?")[1].trim();   
		var strs = str.split("&");   
		for(var i = 0; i < strs.length; i ++) {
			var strx = strs[i].split("=");
			if(strx.length == 2){
				urlParamJson[strx[0]] = strx[1];
			}
			
		}   
   }   
   return urlParamJson;   
}
/*
 * 验证手机号
 */
UTIL.phone=function(text){
	if (regPhone.test(text)) {
		return false;
	}
	toast("手机号码不正确");
	return true;
}
/*
 * 验证电话
 */
UTIL.telephone=function(text){
	if (regTelephone.test(text)) {
		return false;
	}
	toast("电话号码不正确");
	return true;
}
/*
 * 验证邮箱
 */
UTIL.email=function(text){
	if (regEmail.test(text)) {
		return false;
	}
	toast("邮箱不正确");
	return true;
}
/*
 * 验证限制只能输入数字，最多保留2位小数
 */
UTIL.integer=function(text){
	if (regInteger.test(text)) {
		return false;
	}
	return true;
}
/*
 * 验证金额正则表达式/整数
 */
UTIL.decimal=function(text){
	if (regDecimal.test(text)) {
		return false;
	}
	return true;
}
/*
 * 验证身份证号码
 */
UTIL.idnumber=function(text){
	if (regIDnumber.test(text)) {
		return false;
	}
	toast('身份证号码不正确');
	return true;
}
/*
 * 验证中文
 */
UTIL.zw=function(text){
	if (regZW.test(text)) {
		return false;
	}
	return true;
}